Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.usermodel
Class TableCellDescriptor

    java.lang.Object
      org.apache.poi.hwpf.model.types.TCAbstractType
          org.apache.poi.hwpf.usermodel.TableCellDescriptor

All Implemented Interfaces:
  java.lang.Cloneable

    public final class TableCellDescriptor

extends TCAbstractType
implements java.lang.Cloneable

Field Summary
`static int` | `SIZE`

Constructor Summary
`TableCellDescriptor()`

Method Summary
`java.lang.Object` | `clone()`
`static TableCellDescriptor` | `convertBytesToTC(byte[] buf, int offset)`
`void` | `serialize(byte[] data, int offset)`

Methods inherited from class org.apache.poi.hwpf.model.types.TCAbstractType
`getBrcBottom, getBrcLeft, getBrcRight, getBrcTop, getFtsCellPaddingBottom, getFtsCellPaddingLeft, getFtsCellPaddingRight, getFtsCellPaddingTop, getFtsCellSpacingBottom, getFtsCellSpacingLeft, getFtsCellSpacingRight, getFtsCellSpacingTop, getFtsWidth, getFUnused, getRgf, getShd, getVertAlign, getWCellPaddingBottom, getWCellPaddingLeft, getWCellPaddingRight, getWCellPaddingTop, getWCellSpacingBottom, getWCellSpacingLeft, getWCellSpacingRight, getWCellSpacingTop, getWWidth, isFBackward, isFFirstMerged, isFFitText, isFMerged, isFNoWrap, isFRotateFont, isFVertical, isFVertMerge, isFVertRestart, setBrcBottom, setBrcLeft, setBrcRight, setBrcTop, setFBackward, setFFirstMerged, setFFitText, setFMerged, setFNoWrap, setFRotateFont, setFtsCellPaddingBottom, setFtsCellPaddingLeft, setFtsCellPaddingRight, setFtsCellPaddingTop, setFtsCellSpacingBottom, setFtsCellSpacingLeft, setFtsCellSpacingRight, setFtsCellSpacingTop, setFtsWidth, setFUnused, setFVertical, setFVertMerge, setFVertRestart, setRgf, setShd, setVertAlign, setWCellPaddingBottom, setWCellPaddingLeft, setWCellPaddingRight, setWCellPaddingTop, setWCellSpacingBottom, setWCellSpacingLeft, setWCellSpacingRight, setWCellSpacingTop, setWWidth, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SIZE

    public static final int SIZE

See Also:
  Constant Field Values

Constructor Detail

### TableCellDescriptor

    public TableCellDescriptor()

Method Detail

### serialize

    public void serialize(byte[] data,
                          int offset)

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### convertBytesToTC

    public static TableCellDescriptor convertBytesToTC(byte[] buf,
                                                       int offset)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD